﻿' InsertBoxPolylinie, Version 2.0.0, vom 06.07.2009
'
' Erstellt neue Menüpunkte unter 'Einfügen\Kästen\Anschluss\Montageplatte' um den
' die polygonen Varianten der Orts-, Geräte- und SPS-Kästen einzufügen.
'
' Copyright by Frank Schöneck, 2009
' letzte Änderung: Frank Schöneck, 10.06.2009 V1.0.0, Projektbeginn
'                  Frank Schöneck, 06.07.2009 V2.0.0, SPS-Kasten hinzugefügt
'
' für Eplan Electric P8, ab V1.9.10
'
'
Public Class PrintInvisibleObjects
  <DeclareMenu()> _
  Public Sub P8Tools()
    Dim oMenu As New Eplan.EplApi.GUI.Menu()
		oMenu.AddMenuItem("Ortskasten (Polylinie)", "InsertLocationboxAction", "Ortskasten (Polylinie) einfügen", 37033, 1, False, False)
		oMenu.AddMenuItem("Gerätekasten (Polylinie)", "InsertBlackboxAction", "Gerätekasten (Polylinie) einfügen", 37034, 1, False, False)
		oMenu.AddMenuItem("SPS-Kasten (Polylinie)", "InsertPLCboxAction", "SPS-Kasten (Polylinie) einfügen", 37035, 1, False, False)
  End Sub

	<DeclareAction("InsertLocationboxAction")> _
  Public Sub InsertLocationbox()
		Dim CommandLineInterpreter As New CommandLineInterpreter()
		CommandLineInterpreter.Execute("XEGActionInsertSymRef /SymbolLibName:SPECIAL /SymbolId:52 /VariantId:0")
		Return
	End Sub
	
<DeclareAction("InsertBlackboxAction")> _
  Public Sub InsertBlackbox()
		Dim CommandLineInterpreter As New CommandLineInterpreter()
		CommandLineInterpreter.Execute("XEGActionInsertSymRef /SymbolLibName:SPECIAL /SymbolId:46 /VariantId:0")
		Return
	End Sub

<DeclareAction("InsertPLCboxAction")> _
  Public Sub InsertPLCbox()
		Dim CommandLineInterpreter As New CommandLineInterpreter()
		CommandLineInterpreter.Execute("XEGActionInsertSymRef /SymbolLibName:SPECIAL /SymbolId:47 /VariantId:0")
		Return
	End Sub
	
	End Class
